from setuptools import setup

setup(
    name="koku-nise",
    version="0.0.1",
    author="Project Koku",
    author_email="cost_mgmt@redhat.com",
    description="A tool for generating sample cost and usage data for testing purposes.",
    url="https://github.com/project-koku/nise",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: GNU Affero General Public License v3",
        "Operating System :: OS Independent",
    ],
    packages=[
        "nise",
        "nise.generators",
        "nise.generators.aws",
        "nise.generators.ocp",
        "nise.generators.azure",
        "nise.generators.gcp",
    ],
    install_requires=[
        "adal==1.2.2",
        "azure-common==1.1.23",
        "azure-mgmt-costmanagement==0.1.0",
        "azure-mgmt-resource==7.0.0",
        "azure-mgmt-storage==7.0.0",
        "azure-nspkg==3.0.2",
        "azure-storage==0.36.0",
        "azure-storage-blob==1.5.0",
        "azure-storage-common==1.4.2",
        "boto3==1.10.35",
        "botocore==1.13.35",
        "cachetools==3.1.1",
        "certifi==2019.11.28",
        "cffi==1.13.2",
        "chardet==3.0.4",
        "cryptography==2.8",
        "docutils==0.15.2",
        "faker==3.0.0",
        "google-api-core==1.14.3",
        "google-auth==1.8.1",
        "google-cloud-core==1.1.0",
        "google-cloud-storage==1.19.1",
        "google-resumable-media==0.4.1",
        "googleapis-common-protos==1.6.0",
        "idna==2.8",
        "isodate==0.6.0",
        "jinja2==2.10.3",
        "jmespath==0.9.4",
        "markupsafe==1.1.1",
        "msrest==0.6.10",
        "msrestazure==0.6.2",
        "oauthlib==3.1.0",
        "protobuf==3.11.1",
        "pyasn1==0.4.8",
        "pyasn1-modules==0.2.7",
        "pycparser==2.19",
        "pyjwt==1.7.1",
        "python-dateutil==2.8.0; python_version >= '2.7'",
        "pytz==2019.3",
        "requests==2.22.0",
        "requests-oauthlib==1.3.0",
        "rsa==4.0",
        "s3transfer==0.2.1",
        "six==1.13.0",
        "text-unidecode==1.3",
        "urllib3==1.25.7; python_version >= '3.4'",
    ],
    dependency_links=[],
    entry_points={"console_scripts": ["nise = nise.__main__:main"]},
    include_package_data=True,
    zip_safe=False,
)
